# vrt_lss_routing
Программный интерфейс для получения маршрутов и матриц расстояний

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 2.3.155767
- Package version: 2.3.155767
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import vrt_lss_routing
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import vrt_lss_routing
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import vrt_lss_routing
from vrt_lss_routing.rest import ApiException
from pprint import pprint

configuration = vrt_lss_routing.Configuration()
# Configure Bearer authorization (JWT): ApiKeyAuth
configuration.access_token = 'YOUR_BEARER_TOKEN'

# Defining host is optional and default to https://api.veeroute.tech/v2
configuration.host = "https://api.veeroute.tech/v2"
# Enter a context with an instance of the API client
with vrt_lss_routing.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = vrt_lss_routing.MatrixApi(api_client)
    routing_task = vrt_lss_routing.RoutingTask() # RoutingTask | Новый запрос на расчет матрицы

    try:
        # Построение матрицы расстояний и времени
        api_response = api_instance.build_matrix(routing_task)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling MatrixApi->build_matrix: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *https://api.veeroute.tech/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*MatrixApi* | [**build_matrix**](docs/MatrixApi.md#build_matrix) | **POST** /routing/matrix | Построение матрицы расстояний и времени
*RouteApi* | [**build_route**](docs/RouteApi.md#build_route) | **POST** /routing/route | Построение маршрут точка-точка
*SystemApi* | [**check**](docs/SystemApi.md#check) | **GET** /routing/check | Проверка доступности сервиса
*SystemApi* | [**version**](docs/SystemApi.md#version) | **GET** /routing/version | Получение версии сервиса


## Documentation For Models

 - [CheckResult](docs/CheckResult.md)
 - [InlineResponse400](docs/InlineResponse400.md)
 - [InlineResponse401](docs/InlineResponse401.md)
 - [InlineResponse404](docs/InlineResponse404.md)
 - [InlineResponse406](docs/InlineResponse406.md)
 - [InlineResponse429](docs/InlineResponse429.md)
 - [InlineResponse500](docs/InlineResponse500.md)
 - [InlineResponse501](docs/InlineResponse501.md)
 - [InlineResponse502](docs/InlineResponse502.md)
 - [InlineResponse503](docs/InlineResponse503.md)
 - [InlineResponse504](docs/InlineResponse504.md)
 - [MatrixResult](docs/MatrixResult.md)
 - [Route](docs/Route.md)
 - [RouteLeg](docs/RouteLeg.md)
 - [RoutePolyline](docs/RoutePolyline.md)
 - [RouteResult](docs/RouteResult.md)
 - [RouteStatistics](docs/RouteStatistics.md)
 - [RouteStatisticsTimeWindow](docs/RouteStatisticsTimeWindow.md)
 - [RouteStep](docs/RouteStep.md)
 - [RoutingMatrix](docs/RoutingMatrix.md)
 - [RoutingTask](docs/RoutingTask.md)
 - [TraceData](docs/TraceData.md)
 - [TransportType](docs/TransportType.md)
 - [VersionResult](docs/VersionResult.md)
 - [Waypoint](docs/Waypoint.md)


## Documentation For Authorization


## ApiKeyAuth

- **Type**: Bearer authentication (JWT)


## Author

support@veeroute.com


